CVE-2018-12387

Published: 03 October 2018

A vulnerability where the JavaScript JIT compiler inlines Array.prototype.push with multiple arguments that results in the stack pointer being off by 8 bytes after a bailout. This leaks a memory address to the calling function which can be used as part of an exploit inside the sandboxed content process. This vulnerability affects Firefox ESR < 60.2.2 and Firefox < 62.0.3.

Priority

Medium

CVSS 3 base score: 9.1

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
Upstream
Released (62.0.3)
Ubuntu 21.04 (Hirsute Hippo)
Released (62.0.3+build1-0ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (62.0.3+build1-0ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (62.0.3+build1-0ubuntu0.18.04.1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (62.0.3+build1-0ubuntu0.16.04.2)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was released [62.0.3+build1-0ubuntu0.14.04.2])
mozjs38
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Needs triage

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

mozjs52
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Needs triage

Ubuntu 18.04 LTS (Bionic Beaver) Needs triage

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

thunderbird
Launchpad, Ubuntu, Debian
Upstream
Released (60.2.2)
Ubuntu 21.04 (Hirsute Hippo)
Released (1:60.4.0+build2-0ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (1:60.4.0+build2-0ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1:60.4.0+build2-0ubuntu0.18.04.1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (1:60.4.0+build2-0ubuntu0.16.04.1)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needs-triage)